回忆之城
生命在于折腾
posts - 510,comments - 9,trackbacks - 0
 

汗,今天在centos服务器上面卸载几个包把yum命令干掉了。郁闷死我了。搞了一个晚上还没有搞好。 第二天起床再来搞过。疯狂的百度谷歌。 很多资料都没。 都不成功。 没有了yum真的不方面的。rpm安装一个包又提示另一个包的依赖。   这个解决办法也适合Rhel5.3服务器

 

                    为了测试  我把 我用这个命令 rpm -aq|grep yum|xargs rpm -e --nodeps   删除自带的yum

  然后再安装  一次。 

 下载所需的rpm包

wget http://centos.ustc.edu.cn/centos/5.3/os/i386/CentOS/yum-3.2.19-18.el5.centos.noarch.rpm
wget http://centos.ustc.edu.cn/centos/5.3/os/i386/CentOS/yum-metadata-parser-1.1.2-2.el5.i386.rpm
wget http://mirror.centos.org/centos-5/5.3/os/i386/CentOS/python-iniparse-0.2.3-4.el5.noarch.rpm
wget http://mirror.centos.org/centos-5/5.3/os/i386/CentOS/yum-fastestmirror-1.1.16-13.el5.centos.noarch.rpm

 

 

安装rpm包

 

 

CODE:

rpm -ivh python-iniparse-0.2.3-4.el5.noarch.rpm
rpm -ivh yum-metadata-parser-1.1.2-2.el5.i386.rpm
rpm -ivh yum-3.2.19-18.el5.centos.noarch.rpm yum-fastestmirror-1.1.16-13.el5.centos.noarch.rpm
注意:在这个地方第三步一定要两个一起安装,要不会会出现错误:

CODE:

# rpm -ivh yum-3.2.19-18.el5.centos.noarch.rpm
warning: yum-3.2.19-18.el5.centos.noarch.rpm: Header V3 DSA signature: NOKEY, key ID e8562897
error: Failed dependencies:
yum-fastestmirror is needed by yum-3.2.19-18.el5.centos.noarch

CODE:

# rpm -ivh yum-fastestmirror-1.1.16-13.el5.centos.noarch.rpm
warning: yum-fastestmirror-1.1.16-13.el5.centos.noarch.rpm: Header V3 DSA signature: NOKEY, key ID e8562897
error: Failed dependencies:
yum >= 3.0 is needed by yum-fastestmirror-1.1.16-13.el5.centos.noarch

 

下载配置源:

cd /etc/yum.repos.d/
wget http://docs.linuxtone.org/soft/lemp/CentOS-Base.repo

yum update

posted on 2010-08-20 16:50 回忆之城 阅读(1983) 评论(0)  编辑 收藏 引用 所属分类: unix/linux
只有注册用户登录后才能发表评论。